## org.eclipse.amp.axf.core
Class ModelExecutionEnginePlugin

    java.lang.Object
      Plugin
          org.eclipse.amp.axf.core.ModelExecutionEnginePlugin

    public class ModelExecutionEnginePlugin

extends Plugin

The activator class controls the plug-in life cycle.

Field Summary
`private static ModelExecutionEnginePlugin` `plugin`
`static java.lang.String` `PLUGIN_ID`

Constructor Summary
`ModelExecutionEnginePlugin()` The constructor.

Method Summary
`static ModelExecutionEnginePlugin` `getDefault()` Returns the shared instance.
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### plugin

    private static ModelExecutionEnginePlugin plugin

Constructor Detail

### ModelExecutionEnginePlugin

    public ModelExecutionEnginePlugin()

  The constructor.

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  Parameters:
    `context` -
  Throws:
    `java.lang.Exception`
  See Also:
    `org.eclipse.core.runtime.Plugin#start(org.osgi.framework.BundleContext)`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  Parameters:
    `context` -
  Throws:
    `java.lang.Exception`
  See Also:
    `org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)`

### getDefault

    public static ModelExecutionEnginePlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared instance

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors